For the complete documentation index, see llms.txt. This page is also available as Markdown.

net_peercount - Worldchain

Example code for the net_peerCount JSON-RPC method. Complete guide on how to use net_peerCount JSON-RPC in GetBlock Web3 documentation.

Returns number of peers currently connected to the client on the World Chain network.

Parameters

  • None

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "net_peerCount",
    "params": [],
    "id": "getblock.io"
}'
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "net_peerCount",
    "params": [],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0x19"
}

Response Parameters

Field
Type
Description

result

string

Hexadecimal representation of the number of connected peers

Use Case

The net_peerCount method on World Chain is typically used for:

  • Network health check

  • Peer monitoring

  • Node connectivity

  • Network diagnostics

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

Web3 Integration

Last updated

Was this helpful?